package de.accso.flexinale.backoffice.domain.services;

import de.accso.flexinale.backoffice.domain.dao.VorfuehrungDao;
import de.accso.flexinale.backoffice.domain.model.Vorfuehrung;
import de.accso.flexinale.common.shared_kernel.Identifiable;

import java.util.List;

public class VorfuehrungService {

    private final VorfuehrungDao vorfuehrungDao;

    public VorfuehrungService(final VorfuehrungDao vorfuehrungDao) {
        this.vorfuehrungDao = vorfuehrungDao;
    }

    public List<Vorfuehrung> vorfuehrungen() {
        return vorfuehrungDao.findAll();
    }

    public Vorfuehrung vorfuehrung(final Identifiable.Id id) {
        return vorfuehrungDao.findById(id).orElse(null);
    }
}
